
* {
    box-sizing: border-box;
    margin:0;
}

header  {
    height:70px;
    background-color:#fdf400;
}


i {
    display: inline-block;
}

i.fa-redo-alt {
    margin-right: 8px;
}


.textcontainer {
    margin: 20px auto;
    padding: 8%;
    color: #666;
    background-color: white;
    max-width: 600px;
}

.textcontainer a  {
    text-decoration: none;
    color: #fdf400;
    font-weight: bold;
}

.textcontainer a:hover  {
    //text-decoration: underline;
    border-bottom: 4px solid #fdf400;
}

h1 {
    line-height: 160%;
    color: #444;
    font-size: 30px;
    font-weight: bold;
    margin: 0px auto 20px auto;

}

.underline {
    border-bottom: 4px solid #fdf400;
}

p {
    font-size:18px;
    line-height: 1.5;
    margin: 0 auto 14px auto;
}

nav a {
    float: left;
    display: block;
    color: #ffffff;
    text-align: center;
    text-decoration: none;
    font-size: 17px;
}

ul{
    padding:0 0 0 20px;
}



ul li{
    list-style: none;
}


nav a.about, nav a.shop {
    float:right;
    margin-right:0px;
    font-size:30px;
    padding:19px 14px;
    font-weight: bold;
    text-transform:uppercase;
    }

nav a.about:hover, nav a.shop:hover {
    background-color:white;
    color:#fdf400;
}


body{
    background-color: #e6e6d9;
    margin:0;
    font-family: 'Archivo', sans-serif;
}

.logo {
    margin-top: 8px;

}

.posterwrapper .poster{
    margin-top: 10px;
    width: 474px;
    max-width: 80%;
    display:block;
    height: auto;
    margin: 10 auto 10 auto;
    
}

.container {
    position: relative;
    text-align: center;
    width: 960px;
    margin: 0 auto;
    max-width: 90%;
    display:block;
    height: auto;
    padding-bottom: 40px;
}

a{
    margin:0px;
}

div.knappbox {
    margin: 0 auto;
    margin-top: 30px;
    margin-bottom:40px;
    text-align:center;
}

a.knapp{
    margin: 0 10px;
    max-width: 150px;
    padding: 15px 50px;
    background-color:#fdf400;
    text-decoration: none;
    color: black;
    font-size:20px;
    clear:both;
}

a.knapp.generate{
    display: block;
    width: 250px;
    margin:10px auto;
    max-width: 302px;
    text-align: center;
}

.knapptext{
    font-weight: bold;
    color: black;
    text-transform: uppercase;
}


a.share {
    background-color: #3b5998;
    color: white;
}

a.share:hover {
    color: #3b5998;
}


a.knapp:hover{
    background-color: white;
}

a.knapp:active{
    color: white;
    background-color: blue;
}

.centered {
    position: absolute;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 480px;
}

.puff {
    width: 474px;
    max-width: 80%;
    margin: 20px auto;}

.puff img {
    max-width: 100%;
    padding: 10px;
    opacity: 1;
    transition: 0.3s;
}

.puff img:hover{
        opacity: 0.4;
}
